Subject: Re: bug#23006: 25.0.92; Loading Tramp breaks pcomplete in eshell-mode

From: Michael Albinus <[email-masked]>
Date: Fri, 18 Mar 2016 18:01:39 +0100

Stefan Monnier <[email-masked]> writes:

Hi Stefan,

> A big part of the problem here is our support for the
> "/<host>:" syntax.  I wonder if we could demote this syntax.  One option
> is of course to drop it altogether (I'm biased: I never use it).
> But maybe another is to only support it in substitute-in-file-name,
> where it'd get expanded to its more verbose equivalent.

I fully agree with you, I haven't been ever in favor of the
"/mehod:host:" syntax, and its abbreviation "/host:". Unfortunately,
this was decided before I've entered Tramp maintenance (2002 or so).

However, before we start with such radical changes, why do you oppose to
use non-essential in pcomplete? According to my tests, this solves the problem.

I know that you've planned to use non-essential for several use
cases. But according to the status quo in the sources, until now it is
used only for indication of file name completion being in progress.

>         Stefan

Best regards, Michael.